Skip Menu |
 

Preferred bug tracker

Please visit the preferred bug tracker to report your issue.

This queue is for tickets about the Pod-Weaver-Section-Installation CPAN distribution.

Report information
The Basics
Id: 61965
Status: resolved
Priority: 0/
Queue: Pod-Weaver-Section-Installation

People
Owner: Nobody in particular
Requestors: CHORNY [...] cpan.org
Cc:
AdminCc:

Bug Information
Severity: Important
Broken in: 1.101420
Fixed in: (no value)



Subject: Makefile.PL has incorrect deps
Download (untitled) / with headers
text/plain 187b
1. perl version dependency has special key in ExtUtils::MakeMaker 2. BUILD_REQUIRES should not be deleted if ExtUtils::MakeMaker->VERSION < 6.56. -- Alexandr Ciornii, http://chorny.net
Download (untitled) / with headers
text/plain 499b
On Thu Oct 07 11:46:19 2010, CHORNY wrote: Show quoted text
> 1. perl version dependency has special key in ExtUtils::MakeMaker > 2. BUILD_REQUIRES should not be deleted if ExtUtils::MakeMaker->VERSION > < 6.56. >
Sorry, I'm not sure I understand your request. I've just released a new version (with basically no changes, it's just to make sure I'm set up to make changes if needed). Could you check wherher the Makefile.PL is still problematic? Alternatively, I've shipped a Build.PL that you might prefer to use.
Download (untitled) / with headers
text/plain 816b
On Thu May 30 22:54:08 2013, DOHERTY wrote: Show quoted text
> On Thu Oct 07 11:46:19 2010, CHORNY wrote:
> > 1. perl version dependency has special key in ExtUtils::MakeMaker > > 2. BUILD_REQUIRES should not be deleted if ExtUtils::MakeMaker-
> >VERSION
> > < 6.56. > >
> > Sorry, I'm not sure I understand your request. I've just released a > new version (with basically no changes, it's just to make sure I'm > set up to make changes if needed). Could you check wherher the > Makefile.PL is still problematic?
Now your Makefile.PL is correct. Previously it contained 'BUILD_REQUIRES' => { 'perl' => '5.004', } which was incorrect - ExtUtils::MakeMaker has MIN_PERL_VERSION for that. -- Alexandr Ciornii, http://chorny.net


This service is sponsored and maintained by Best Practical Solutions and runs on Perl.org infrastructure.

Please report any issues with rt.cpan.org to rt-cpan-admin@bestpractical.com.